play_memory_fli(3)

NAME
play_memory_fli

SYNOPSIS
#include <allegro.h>

int play_memory_fli(const void *fli_data, BITMAP *bmp, int loop, int (*callback)());

DESCRIPTION
Plays an Autodesk Animator FLI or FLC animation, reading the data from a copy of the file which is held in memory. You can obtain the fli_data pointer by mallocing a block of memory and reading an FLI file into it, or by importing an FLI into a grabber datafile. Playing animations from memory is obviously faster than cueing them directly from disk, and is particularly useful with short, looped FLI's. Animations can easily get very large, though, so in most cases you will probably be better just using play_fli().

SEE ALSO
play_fli(3), install_timer(3), fli_frame(3)